### Method

# EDataServer Source proxy_lookup

since: 3.12

#### Declaration [src]

    void
    e_source_proxy_lookup (
      ESource* source,
      const gchar* uri,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously determines what proxy, if any, to use to connect to `uri`. See `e_source_proxy_lookup_sync()` for more details.

When the operation is finished, `callback` will be called. You can then call `e_source_proxy_lookup_finish()` to get the result of the operation.

Available since: 3.12

This method completes asynchronously. Use `e_source_proxy_lookup_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`uri`

  Type: `const gchar*`

  A URI representing the destination to connect to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.